; ##############################################################################
; ##############################################################################
; ##############################################################################
NEUSTART_MIT_WDR:
	WDR
	in temp, MCUCSR
	andi temp,0b00001000
	tst temp
	breq NEUSTART_MIT_WDR_FEHLER
	; MCUCSR clear		
	out MCUCSR,NULL
	ret
NEUSTART_MIT_WDR_FEHLER:
	rjmp NEUSTART_MIT_WDR_FEHLER
; ##############################################################################
; ##############################################################################
; ##############################################################################
PROGRAMM_CHECK:
	; NULL		
	tst NULL
	brne PROGRAMM_CHECK_FEHLER
	; EINS		
	mov temp,EINS
	cpi temp,1
	brne PROGRAMM_CHECK_FEHLER
	; VOLL		
	mov temp,VOLL
	cpi temp,255
	brne PROGRAMM_CHECK_FEHLER
	ret
; SCHLEIFE, bis WDR zubeit		
PROGRAMM_CHECK_FEHLER:
	rjmp PROGRAMM_CHECK_FEHLER
; ##############################################################################
; ##############################################################################
; ##############################################################################
LED_TEST:
	sbi PORT_DIG_1,PIN_DIG_1
	sbi PORT_DIG_2,PIN_DIG_2	
	sbi PORT_DIG_3,PIN_DIG_3	
	sbi PORT_DIG_4,PIN_DIG_4	
	sbi PORT_DIG_5,PIN_DIG_5
	sbi PORT_DIG_6,PIN_DIG_6
	sbi PORT_DIG_7,PIN_DIG_7
	sbi PORT_DIG_8,PIN_DIG_8

	cbi PORT_BALKEN_A,PIN_BALKEN_A	
	cbi PORT_BALKEN_B,PIN_BALKEN_B	
	cbi PORT_BALKEN_C,PIN_BALKEN_C	
	cbi PORT_BALKEN_D,PIN_BALKEN_D	
	cbi PORT_BALKEN_E,PIN_BALKEN_E	
	cbi PORT_BALKEN_F,PIN_BALKEN_F	
	cbi PORT_BALKEN_G,PIN_BALKEN_G	
	cbi PORT_BALKEN_P,PIN_BALKEN_P
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
WAIT_100ms:
	push temp1          ; temp1 auf dem Stack sichern            
	push temp2          ; temp2 auf dem Stack sichern            
;------------
	ldi	temp2,50		
	clr	temp1			
WAIT_100ms_w:	
	wdr
	dec	 temp1
	brne WAIT_100ms_w
	dec	 temp2		
	brne WAIT_100ms_w
;------------
	pop temp2      		; temp2 wiederherstellen                    
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
WAIT_1s:

	push temp1          ; temp1 auf dem Stack sichern            
	push temp2          ; temp2 auf dem Stack sichern            
	push temp3          ; temp3 auf dem Stack sichern            

;------------
	ldi	temp3,3	
	clr temp2
	clr	temp1			
wait1s_w:	
	wdr
	dec	temp1
	brne	wait1s_w
	dec	temp2		
	brne	wait1s_w
	dec	temp3
	brne	wait1s_w
;------------
	pop temp3      		; temp3 wiederherstellen                    
	pop temp2      		; temp2 wiederherstellen                    
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
wait_10s:
	rcall WAIT_1s
	rcall WAIT_1s
	rcall WAIT_1s
	rcall WAIT_1s
	rcall WAIT_1s
	rcall WAIT_1s
	rcall WAIT_1s
	rcall WAIT_1s
	rcall WAIT_1s
	rcall WAIT_1s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
